//
//  ShowMeDemoViewController.m
//  LXTinyLoadingViewDemo
//
//  Created by poPLax on 2013-07-3.
//  Copyright (c) 2013 Poplax Studio. All rights reserved.
//

#import "ShowMeDemoViewController.h"

#import "LXTinyLoadingView.h"
#import "RedLoadingViewGenerator.h"
#import "GrayLoadingViewGenerator.h"

@interface ShowMeDemoViewController ()
{
    LXTinyLoadingView *_loader;
}

@end

@implementation ShowMeDemoViewController

- (void)loadView
{
    [super loadView];
    
    LoadingViewGenerator *generator = [[GrayLoadingViewGenerator alloc] init];
//    LoadingViewGenerator *generator = [[RedLoadingViewGenerator alloc] init];
    _loader = [generator tinyLoadingViewWithFrame:self.view.frame];
    _loader.center = CGPointMake(self.view.center.x, self.view.center.y - 120);
    _loader.resetsWhenStopped = NO;
    [_loader startAnimating];

    self.view.backgroundColor = [UIColor lightGrayColor];
    [self.view addSubview:_loader];

    UIButton *buttonA = [UIButton buttonWithType:UIButtonTypeSystem];
    buttonA.frame = (CGRect) {60, 220, 90, 38};
    [buttonA addTarget:self action:@selector(loaderTrigger) forControlEvents:UIControlEventTouchUpInside];
    [buttonA setTitle:@"Start/Stop" forState:UIControlStateNormal];

    UIButton *buttonB = [UIButton buttonWithType:UIButtonTypeSystem];
    buttonB.frame = CGRectMake(180, 220, 90, 38);
    [buttonB addTarget:self action:@selector(hideLoading) forControlEvents:UIControlEventTouchUpInside];
    [buttonB setTitle:@"Show/Hide" forState:UIControlStateNormal];

    [self.view addSubview:buttonA];
    [self.view addSubview:buttonB];
    
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)hideLoading
{
    _loader.hidden = !_loader.isHidden;
}

- (void)loaderTrigger
{
    static int i = 0;
    i++ % 2 ? [_loader startAnimating] : [_loader stopAnimating];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
